Package pygccxml :: Package declarations :: Module cpptypes :: Class dummy_type_t

# type dummy_type_t

source code

    object --+
             |
        type_t --+
                 |
                dummy_type_t

provides type_t interface for a string, that defines C++ type.

This class could be very useful in the code generator.

Instance Methods

__init__(self, decl_string) | source code

build_decl_string(self, with_defaults=True) | source code

Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `clone`

Properties
Inherited from `type_t`: `byte_align`, `byte_size`, `decl_string`, `partial_decl_string`

Method Details

### __init__(self, decl_string)
(Constructor)

source code

Overrides: type_t.__init__

### build_decl_string(self, with_defaults=True)

source code

Overrides: type_t.build_decl_string